V2.0
get
/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/dispensedvisits/{subjectId}
Returns all dispensed visits associated with the given subject in the study. Use subjectId as path parameter (UUID, uppercase hex). Response contains an array of DispensedVisit objects, each with visitId and visitName.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
CDBBCCDDEEFF11223344556677889900 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
List of dispensed visits by subject.
Root Schema : schema
Type:
Show Source
array-
Array of:
object DispensedVisit
Represents a dispensed visit instance linked to a subject in a clinical study
Nested Schema : DispensedVisit
Type:
objectRepresents a dispensed visit instance linked to a subject in a clinical study
Show Source
-
visitId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
ABCDEF1234567890ABCDEF1234567890 -
VisitName: string
Name of the dispensed visitExample:
Baseline
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.